Bug 1467289 - fans full speed after resume from standby
fans full speed after resume from standby
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
27
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 06:06 EDT by Gabriele
Modified: 2018-02-28 15:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-28 15:37:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system log (30.72 KB, text/plain)
2017-09-14 11:37 EDT, Gabriele
no flags Details

  None (edit)
Description Gabriele 2017-07-03 06:06:08 EDT
Description of problem:
In Lenovo Thinkpad E540 with kernel version 4.11.6-201 after resume from suspend, fans start going to full speed and after few seconds the pc shuts down. The problem is still here also with newer 4.11.7-200

Version-Release number of selected component (if applicable): 
4.11.6-201 (where starts the problem for me)

How reproducible:
install Fedora 25 on a Lenovo Thinkpad E540 (don't know if also with other thinkpad models), and dnf update all the components

Steps to Reproduce:
1. Fresh install Fedora 25
2. dnf update
3. close lid (or suspend it in any way you prefer)
4. open lid (or resume how you prefer)
5. wait few seconds

Actual results:
fans start going full speed and after a while the computer shuts down

Expected results:
continue working

Additional info:
Fedora installed with LUKS encryption and LVM partitioning system default as it is proposed from the installation environment.
To identify the problem in the kernel I tried starting fedora from grub with kernel 4.8.6-300 (the one installed with Fedora installation), it has graphic problems (flickering, it was an old bug) but the resume works well.
Updating the bios not helped. Windows 10 in dual boot resume perfectly. Everything installed with UEFI and secure boot. Shutting down secure boot doesn't solve the problem.
Comment 1 Gabriele 2017-07-19 08:16:56 EDT
The problem is still present even after the upgrade to Fedora 26.
Comment 2 Gabriele 2017-09-14 11:37 EDT
Created attachment 1326117 [details]
system log

this is the log from when I press the power button in order to suspend. until it resumes and crashes. I cannot find anything very strange but the problem is still here even after several updates.
Comment 3 Gabriele 2017-09-14 12:19:33 EDT
I've downgraded the kernel to the version 4.8.16-300.fc25.x86_64 and here everything works fine. I don't have the time now to try every version from 4.8.16-300 to the 4.11.6-201 to see where started the problem. But it is clearly a kernel issue.
Comment 4 Fedora End Of Life 2017-11-16 14:54:30 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 05:27:38 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Gabriele 2018-01-28 10:23:30 EST
Hi, I have still this problem even after the update to Fedora 27.
Is there any news about it? 
I would like to remark the fact that with older kernel everything works pretty good. Only with new ones it has problem with full-speed fans after resume from stand-by.

Thank you.
Comment 7 Laura Abbott 2018-02-20 14:51:05 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.
Comment 8 Gabriele 2018-02-28 14:18:57 EST
Thank you very much Laura. I updated the kernel and everything now works fine!
I think this bug can be closed now..?
Comment 9 Laura Abbott 2018-02-28 15:37:01 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.